GuidesAPI Reference
API Reference

Retrieve the rendered map tile in requested format

Retrieve the rendered map tile in requested format. It is possible to select among different parameters to modify the output, like a different style, languages, label size, and so on.

Path Params
string
required

Specifies the type of tile. Supported values are listed in 'info' resource.

string
required

Specifies the tile projection. Supported values are listed in 'info' resource.

  • mc - Mercator Projection
integer
required

Zoom level of the map image. Minimum and maximum zoom level is specified in the 'info' resource.

integer
required
0 to 1048576

col – can be any number between 0 and number of columns - 1, both inclusive.

The number of tiles per column is a function of the zoom: number of columns = 2^zoom.

[0,0] (col,row) corresponds to top left of a typical western map.

integer
required
0 to 1048576

row – can be any number between 0 and number of rows - 1, both inclusive.

The number of tiles per row is a function of the zoom: number of rows = 2^zoom.

[0,0] (col,row) corresponds to top left of a typical western map.

string
required

Returned image format. Supported values are listed in 'info' resource.

Query Params
string
deprecated

Specifies the map version to be used. The map version can be retrieved by querying /info.

string

The BCP47 language code (https://www.rfc-editor.org/rfc/bcp/bcp47.txt) limited to ISO 639-1 two-letter language code and, optionally, ISO 15924 four-letter script code. It is used for requesting a map tile rendered in a specific language. Supported values are listed in 'languages' resource.

Default behavior when no parameter is given is:

  • Each country will be shown in the default language of the country.
  • The following labels will be shown in the default language: continent, ocean, sea, bay.
string

This parameter can be used to provide a second language for use in dual labeling, it follows the same behavior as the parameter 'lang'.

string

Use this parameter to render the map with boundaries based on international or local country views. In general, the international view should be used unless the map is being used within one of those countries for which a local view is available. If the parameter is specified and the view is supported, boundaries of the selected country view are being shown. Not specifying the parameter results in a default view of boundaries.

The values follow ISO 3166-1 alpha-2 country codes schema.

Note: You should check the /politicalViews path for further information about how to get the most up to date list of geopolitical views available from the service. Note: If this parameter is missing, the international view is returned.

string

If present, selects the style to use to render the tile. The possible values are listed in 'info' resource. Note: When not provided, the default style is "explore.day".

integer
enum
Defaults to 100

Specifies the relative size of labels and icons. Valid values are:

Allowed:
string

If present, allows to query tiles by specific features. The features are independent, and the result of the example is that the tile is rendered with feature_a feature in mode_a mode AND feature_b feature in mode_b mode. The possible values for features and modes are also listed in the features resource.

  • congestion_zones - Display of congestion zones. The available modes include:
    • all
    • disabled
  • environmental_zones - Display of environmental zones. The available modes include:
    • all
    • disabled
  • pois - Display of points of interest. The available modes include:
    • all
    • disabled
  • vehicle_restrictions - Display of road signs specific to trucks or other special vehicles. The available modes include:
    • active_and_inactive - Show all restrictions (both active and inactive)
    • permanent_only - Show only permanent restrictions
    • active_and_inactive_differentiated - Show all restrictions differentiated by active/inactive status, using the vehicle_restrictions parameter for time-based filtering.
    • active_only - Show only active restrictions, using the vehicle_restrictions parameter for time-based filtering.
    • disabled - Do not display vehicle restrictions
  • public_transit - Display of public transit system. The available modes include:
    • asia_selected_systems
    • all_systems
    • disabled
  • truck_preferred_roads - Display of truck preferred roads. The available modes include:
    • all
    • disabled
integer
Defaults to 256

Image size in pixels. Supported values are listed in 'info' resource.

integer
enum
Defaults to 1

Controls the scaling of the rendered tiles for high-resolution displays. A value of 2 doubles the size of the rendered tiles for sharper images.

Allowed:
string

Start time for vehicle restrictions time window. Must only be used with the vehicle_restrictions feature using modes "active_and_inactive_differentiated" or "active_only". Format: Local RFC 3339 datetime as YYYY-MM-DDTHH:mm without timezone (e.g., 2025-12-03T08:00)

string

End time for vehicle restrictions time window. Must only be used with the vehicle_restrictions feature using modes "active_and_inactive_differentiated" or "active_only". Format: Local RFC 3339 datetime as YYYY-MM-DDTHH:mm without timezone (e.g., 2025-12-03T18:00)

Headers
string

Specifies an optional entity tag of the resource cached in the client. See 304 response of getTile operation for more details.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
image/png
image/png8
image/jpg
*/*
application/json